#!/bin/bash

PROG="vcf2csv"
DATE=$(date +'%Y%m%d%H%M')

## create binary
make clean all
[ $? -ne 0 ] && { echo "make fehlgeschlagen"; echo; exit 1; }

## get version from binary
RELEASE=$(src/vcf2csv -v | awk '{printf $2}')

## create dir for distribution
RELDIR=${PROG}-${RELEASE}-${DATE}-src-bin
mkdir $RELDIR

## move binary to distribution dir and clean up
mv src/${PROG} ${RELDIR}
make clean

## copy project files to distribution dir
cp -ax gpl.txt Makefile README src $RELDIR

## remove subversion dirs from distribution
find ${RELDIR} -type d -name .svn | xargs rm -rf

## create distritution archive, cleanup and exit
tar zcf $RELDIR.tgz $RELDIR
rm -rf $RELDIR
